| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Feature Profile

Feature Profile Definitions and Methods. More...

## Classes
struct | unsp__FeatureProfileId
| Feature Profile ID data. More...
struct | unsp__FProfileListSorting
| Feature Profile List Sorting Data. More...
struct | unsp__FeatureProfileAttributes
| Feature Profile Attributes. More...
struct | unsp__FeatureProfileInfo
| Feature Profile Information. More...
struct | unsp__FeatureProfileInfoCreate
| Feature Profile Create Information. More...
struct | unsp__FeatureProfileListInfo
| Feature Profile List Information. More...
struct | unsp__FeatureProfileInfoUpdate
| Feature Profile Update Information. More...
struct | unsp__CreateFeatureProfileRequest
| Create Feature Profile request. More...
struct | unsp__UpdateFeatureProfileRequest
| Update Feature Profile request. More...
struct | unsp__DeleteFeatureProfileRequest
| Delete Feature Profile request. More...
struct | unsp__GetFeatureProfileRequest
| Get Feature Profile request. More...
struct | unsp__CreateFeatureProfileResult
| Create Feature Profile result. More...
struct | unsp__UpdateFeatureProfileResult
| Update Feature Profile result. More...
struct | unsp__DeleteFeatureProfileResult
| Delete Feature Profile result. More...
struct | unsp__FeatureProfileList
| Feature Profile List. More...
struct | unsp__FeatureProfileListResult
| Feature Profile List result. More...
struct | unsp__FeatureProfileListRequest
| Feature Profile List request. More...
struct | unsp__FeatureProfileResult
| feature Profile result. More...

## Enumerations
enum | unsp__FeatureProfileType { FeatureProfileCentrex =1 }
| Feature Profile Type. More...
enum | unsp__FProfileListSortType { FPSortTypeFPName_, FPSortTypeSubCount_ }
| Feature Profile Sort Type. More...
enum | unsp__FeatureProfileConnectionType { ConnectionTypeNA, ConnectionTypeSIP }
| Feature Profile Connection Type. More...

## Functions
int | unsp__CreateFeatureProfile2 (struct unsp__CreateFeatureProfileRequest CreateFeatureProfileReq, struct unsp__CreateFeatureProfileResult *CreateFeatureProfileResult)
| This method creates a Feature Profile. More...
int | unsp__UpdateFeatureProfile2 (struct unsp__UpdateFeatureProfileRequest UpdateFeatureProfileReq, struct unsp__UpdateFeatureProfileResult *UpdateFeatureProfileResult)
| This method adds, modifies and removes Features from a Feature Profile. More...
int | unsp__DeleteFeatureProfile2 (struct unsp__DeleteFeatureProfileRequest DeleteFeatureProfileReq, struct unsp__DeleteFeatureProfileResult *DeleteFeatureProfileResult)
| This method deletes the specified feature profile. More...
int | unsp__GetFeatureProfileList (struct unsp__FeatureProfileListRequest *GetFeatureProfileListReq, struct unsp__FeatureProfileListResult *FProfileListResult)
| This method retrieves a list of Feature Profiles. More...
int | unsp__GetFeatureProfile (struct unsp__GetFeatureProfileRequest GetFeatureProfileReq, struct unsp__FeatureProfileResult *FeatureProfileResult)
| This method retrieves the details of a Feature Profile. More...

## Detailed Description

Feature Profile Definitions and Methods.

A Feature Profile (FP) is an administrator-defined set of subscriber features with associated feature data that can be assigned to multiple subscribers. By creating and configuring FPs, the basic feature environment for certain user groups can be maintained at a central place, which dramatically simplifies subscriber feature administration. FPs can be created at two different levels:

- Switch-Wide level: FPs created at the switch level can be assigned to all subscribers on the related switch.
- Business Group level: FPs created within a specific BG (Business Group) can only be assigned to the subscribers of this BG.

Multiple Feature Profiles for every Switch and its BGs can be created.

## Enumeration Type Documentation

## ◆ unsp__FeatureProfileConnectionType

enum unsp__FeatureProfileConnectionType

Feature Profile Connection Type.

Determines whether the profile is applicable for which connection type.

Enumerator
ConnectionTypeNA | All Connection Types.
ConnectionTypeSIP | SIP Subscribers.

## ◆ unsp__FeatureProfileType

enum unsp__FeatureProfileType

Feature Profile Type.

Enumerator
FeatureProfileCentrex | Business Group Feature Profile.

## ◆ unsp__FProfileListSortType

enum unsp__FProfileListSortType

Feature Profile Sort Type.

Enumerator
FPSortTypeFPName_ | Sort By Feature Profile Name.
FPSortTypeSubCount_ | Sort By Number of Subscribers using the Feature Profile.

## Function Documentation

## ◆ unsp__CreateFeatureProfile2()

unsp__CreateFeatureProfile2 | ( | struct unsp__CreateFeatureProfileRequest | CreateFeatureProfileReq,
|  | struct unsp__CreateFeatureProfileResult * | CreateFeatureProfileResult
| ) |  |

This method creates a Feature Profile.

Parameters

  CreateFeatureProfileReq | API request
  CreateFeatureProfileResult | API result MP2 command: FPCREATE [Attributes]

## ◆ unsp__DeleteFeatureProfile2()

int unsp__DeleteFeatureProfile2 | ( | struct unsp__DeleteFeatureProfileRequest | DeleteFeatureProfileReq,
|  | struct unsp__DeleteFeatureProfileResult * | DeleteFeatureProfileResult
| ) |  |

This method deletes the specified feature profile.

A feature profile may not be deleted if it is referenced by a subscriber. The GetSubscriberList method may be used to obtain information about subscribers that reference a Feature Profile

Parameters

  DeleteFeatureProfileReq | API request
  DeleteFeatureProfileResult | API result MP2 command: FPREMOVE [Attributes]

## ◆ unsp__GetFeatureProfile()

unsp__GetFeatureProfile | ( | struct unsp__GetFeatureProfileRequest | GetFeatureProfileReq,
|  | struct unsp__FeatureProfileResult * | FeatureProfileResult
| ) |  |

This method retrieves the details of a Feature Profile.

The GetSubscriberList method may be used to obtain information about subscribers that reference a Feature Profile.

Parameters

  GetFeatureProfileReq | API request
  FeatureProfileResult | API result

## ◆ unsp__GetFeatureProfileList()

unsp__GetFeatureProfileList | ( | struct unsp__FeatureProfileListRequest * | GetFeatureProfileListReq,
|  | struct unsp__FeatureProfileListResult * | FProfileListResult
| ) |  |

This method retrieves a list of Feature Profiles.

Parameters

  GetFeatureProfileListReq | API request
  FProfileListResult | API result

## ◆ unsp__UpdateFeatureProfile2()

unsp__UpdateFeatureProfile2 | ( | struct unsp__UpdateFeatureProfileRequest | UpdateFeatureProfileReq,
|  | struct unsp__UpdateFeatureProfileResult * | UpdateFeatureProfileResult
| ) |  |

This method adds, modifies and removes Features from a Feature Profile.

The name of the Feature Profile may also be changed.

Parameters

  UpdateFeatureProfileReq | API request
  UpdateFeatureProfileResult | API result MP2 commands: FPAF FPMF FPRF